Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# User Class Reference

Inheritance diagram for User:

[legend]
List of all members.

## Public Member Functions
| User (&$SessionOrDb, $UserInfo=NULL)
| Status ()
| StatusMessage ($StatusCode=NULL)
| Delete ()
| Id ()
| Name ()
| LastLocation ($NewLocation=NULL)
| LastActiveDate ()
| LastIPAddress ()
| Get ($FieldName)
| GetDate ($FieldName, $Format="")
| Set ($FieldName, $NewValue)
| Login ($UserName, $Password, $IgnorePassword=FALSE)
| Logout ()
| GetPasswordSalt ($UserName)
| IsLoggedIn ()
| IsNotLoggedIn ()
| ChangePassword ($OldPassword, $NewPassword, $NewPasswordAgain)
| SetPassword ($NewPassword)
| CreateNewUserWithEMailedPassword ($UserName, $EMail, $EMailAgain, $TemplateFile="Axis--User--EMailTemplate.txt")
| CreateNewUserAndMailPasswordFromFile ($UserName, $EMail, $EMailAgain, $TemplateFile="Axis--User--EMailTemplate.txt")
| CreateNewUserAndMailPassword ($UserName, $EMail, $EMailAgain, $EMailSubject, $EMailBody)
| GetActivationCode ()
| IsActivationCodeGood ($Code)
| IsActivated ($NewValue=DB_NOVALUE)
| GetResetCode ()
| IsResetCodeGood ($Code)
| GetMailChangeCode ()
| IsMailChangeCodeGood ($Code)
| SendEMail ($TemplateTextOrFileName, $FromAddress=NULL, $MoreSubstitutions=NULL, $ToAddress=NULL)
| HasPriv ($Privilege, $Privilege2=NULL, $Privilege3=NULL, $Privilege4=NULL, $Privilege5=NULL, $Privilege6=NULL)
| GrantPriv ($Privilege)
| RevokePriv ($Privilege)
| GetPrivList ()
| SetPrivList ($NewPrivileges)
| GetUniqueCode ($SeedString, $CodeLength)
| IsValidUserName ($UserName)
| IsValidPassword ($Password)
| IsValidLookingEMailAddress ($EMail)
| NormalizeEMailAddress ($EMailAddress)
| NormalizeUserName ($UserName)
| NormalizePassword ($Password)
| GetRandomPassword ($PasswordMinLength=6, $PasswordMaxLength=8)
| UpdateValue ($FieldName, $NewValue=DB_NOVALUE)
| GivePriv ($Privilege)
## Public Attributes
| $DB
| $Session
| $UserId
| $Result
| $LoggedIn
| $DBFields

## Detailed Description

Definition at line 42 of file Axis--User.php.

## Member Function Documentation

User::ChangePassword | ( | $ | OldPassword,
|  | $ | NewPassword,
|  | $ | NewPasswordAgain |
| ) |  |  |

Definition at line 383 of file Axis--User.php.

References IsLoggedIn(), IsValidPassword(), NormalizePassword(), and SetPassword().

User::CreateNewUserAndMailPassword | ( | $ | UserName,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | EMailSubject,
|  | $ | EMailBody |
| ) |  |  |

Definition at line 458 of file Axis--User.php.

References $Result, GetRandomPassword(), IsValidLookingEMailAddress(), and Set().

Referenced by CreateNewUserAndMailPasswordFromFile().

Here is the caller graph for this function:

User::CreateNewUserAndMailPasswordFromFile | ( | $ | UserName,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | TemplateFile = `"Axis--User--EMailTemplate.txt"` |
| ) |  |  |

Definition at line 445 of file Axis--User.php.

References CreateNewUserAndMailPassword().

Referenced by CreateNewUserWithEMailedPassword().

Here is the caller graph for this function:

User::CreateNewUserWithEMailedPassword | ( | $ | UserName,
|  | $ | EMail,
|  | $ | EMailAgain,
|  | $ | TemplateFile = `"Axis--User--EMailTemplate.txt"` |
| ) |  |  |

Definition at line 437 of file Axis--User.php.

References CreateNewUserAndMailPasswordFromFile().

User::Delete | ( |  | ) |

Definition at line 163 of file Axis--User.php.

User::Get | ( | $ | FieldName | ) |

Definition at line 214 of file Axis--User.php.

References UpdateValue().

Referenced by GetMailChangeCode(), GetUniqueCode(), LastActiveDate(), LastIPAddress(), LastLocation(), Name(), and SendEMail().

Here is the caller graph for this function:

User::GetActivationCode | ( |  | ) |

Definition at line 520 of file Axis--User.php.

References GetUniqueCode().

Referenced by IsActivationCodeGood(), and SendEMail().

Here is the caller graph for this function:

User::GetDate | ( | $ | FieldName,
|  | $ | Format = `""` |
| ) |  |  |

Definition at line 220 of file Axis--User.php.

User::GetMailChangeCode | ( |  | ) |

Definition at line 556 of file Axis--User.php.

References Get(), and GetUniqueCode().

Referenced by IsMailChangeCodeGood(), and SendEMail().

Here is the caller graph for this function:

User::GetPasswordSalt | ( | $ | UserName | ) |

Definition at line 340 of file Axis--User.php.

References $Result, and NormalizeUserName().

User::GetPrivList | ( |  | ) |

Definition at line 728 of file Axis--User.php.

User::GetRandomPassword | ( | $ | PasswordMinLength = `6`,
|  | $ | PasswordMaxLength = `8` |
| ) |  |  |

Definition at line 813 of file Axis--User.php.

Referenced by CreateNewUserAndMailPassword().

Here is the caller graph for this function:

User::GetResetCode | ( |  | ) |

Definition at line 541 of file Axis--User.php.

References GetUniqueCode().

Referenced by IsResetCodeGood(), and SendEMail().

Here is the caller graph for this function:

User::GetUniqueCode | ( | $ | SeedString,
|  | $ | CodeLength |
| ) |  |  |

Definition at line 754 of file Axis--User.php.

References Get().

Referenced by GetActivationCode(), GetMailChangeCode(), and GetResetCode().

Here is the caller graph for this function:

User::GivePriv | ( | $ | Privilege | ) |

Definition at line 831 of file Axis--User.php.

References GrantPriv().

User::GrantPriv | ( | $ | Privilege | ) |

Definition at line 684 of file Axis--User.php.

Referenced by GivePriv(), and SetPrivList().

Here is the caller graph for this function:

User::HasPriv | ( | $ | Privilege,
|  | $ | Privilege2 = `NULL`,
|  | $ | Privilege3 = `NULL`,
|  | $ | Privilege4 = `NULL`,
|  | $ | Privilege5 = `NULL`,
|  | $ | Privilege6 = `NULL` |
| ) |  |  |

Definition at line 655 of file Axis--User.php.

References IsLoggedIn().

User::Id | ( |  | ) |

Definition at line 179 of file Axis--User.php.

Referenced by SPTUser::SPTUser(), and SPTUser::UUPUpdateValue().

Here is the caller graph for this function:

User::IsActivated | ( | $ | NewValue = `DB_NOVALUE` | ) |

Definition at line 535 of file Axis--User.php.

References UpdateValue().

User::IsActivationCodeGood | ( | $ | Code | ) |

Definition at line 528 of file Axis--User.php.

References GetActivationCode().

User::IsLoggedIn | ( |  | ) |

Definition at line 376 of file Axis--User.php.

Referenced by ChangePassword(), HasPriv(), and SPTUser::SPTUser().

Here is the caller graph for this function:

User::IsMailChangeCodeGood | ( | $ | Code | ) |

Definition at line 564 of file Axis--User.php.

References GetMailChangeCode().

User::IsNotLoggedIn | ( |  | ) |

Definition at line 377 of file Axis--User.php.

User::IsResetCodeGood | ( | $ | Code | ) |

Definition at line 549 of file Axis--User.php.

References GetResetCode().

User::IsValidLookingEMailAddress | ( | $ | EMail | ) |

Definition at line 785 of file Axis--User.php.

Referenced by CreateNewUserAndMailPassword(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

User::IsValidPassword | ( | $ | Password | ) |

Definition at line 778 of file Axis--User.php.

References NormalizePassword().

Referenced by ChangePassword(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

User::IsValidUserName | ( | $ | UserName | ) |

Definition at line 772 of file Axis--User.php.

Referenced by UserFactory::TestNewUserValues().

Here is the caller graph for this function:

User::LastActiveDate | ( |  | ) |

Definition at line 204 of file Axis--User.php.

References Get().

User::LastIPAddress | ( |  | ) |

Definition at line 208 of file Axis--User.php.

References Get().

User::LastLocation | ( | $ | NewLocation = `NULL` | ) |

Definition at line 187 of file Axis--User.php.

References Get().

User::Login | ( | $ | UserName,
|  | $ | Password,
|  | $ | IgnorePassword = `FALSE` |
| ) |  |  |

Definition at line 248 of file Axis--User.php.

References NormalizeUserName().

User::Logout | ( |  | ) |

Definition at line 327 of file Axis--User.php.

User::Name | ( |  | ) |

Definition at line 183 of file Axis--User.php.

References Get().

User::NormalizeEMailAddress | ( | $ | EMailAddress | ) |

Definition at line 792 of file Axis--User.php.

Referenced by UserFactory::EMailAddressIsInUse(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

User::NormalizePassword | ( | $ | Password | ) |

Definition at line 806 of file Axis--User.php.

Referenced by ChangePassword(), IsValidPassword(), SetPassword(), and UserFactory::TestNewUserValues().

Here is the caller graph for this function:

User::NormalizeUserName | ( | $ | UserName | ) |

Definition at line 799 of file Axis--User.php.

Referenced by UserFactory::CreateNewUser(), GetPasswordSalt(), Login(), UserFactory::TestNewUserValues(), and UserFactory::UserNameExists().

Here is the caller graph for this function:

User::RevokePriv | ( | $ | Privilege | ) |

Definition at line 716 of file Axis--User.php.

User::SendEMail | ( | $ | TemplateTextOrFileName,
|  | $ | FromAddress = `NULL`,
|  | $ | MoreSubstitutions = `NULL`,
|  | $ | ToAddress = `NULL` |
| ) |  |  |

Definition at line 571 of file Axis--User.php.

References $Result, Get(), GetActivationCode(), GetMailChangeCode(), GetResetCode(), and Status().

User::Set | ( | $ | FieldName,
|  | $ | NewValue |
| ) |  |  |

Definition at line 238 of file Axis--User.php.

References UpdateValue().

Referenced by CreateNewUserAndMailPassword().

Here is the caller graph for this function:

User::SetPassword | ( | $ | NewPassword | ) |

Definition at line 428 of file Axis--User.php.

References NormalizePassword(), and UpdateValue().

Referenced by ChangePassword().

Here is the caller graph for this function:

User::SetPrivList | ( | $ | NewPrivileges | ) |

Definition at line 736 of file Axis--User.php.

References GrantPriv().

User::Status | ( |  | ) |

Definition at line 120 of file Axis--User.php.

Referenced by SendEMail().

Here is the caller graph for this function:

User::StatusMessage | ( | $ | StatusCode = `NULL` | ) |

Definition at line 126 of file Axis--User.php.

User::UpdateValue | ( | $ | FieldName,
|  | $ | NewValue = `DB_NOVALUE` |
| ) |  |  |

Definition at line 824 of file Axis--User.php.

Referenced by Get(), IsActivated(), Set(), and SetPassword().

Here is the caller graph for this function:

User::User | ( | &$ | SessionOrDb,
|  | $ | UserInfo = `NULL` |
| ) |  |  |

Definition at line 46 of file Axis--User.php.

Referenced by SPTUser::SPTUser().

Here is the caller graph for this function:

## Member Data Documentation

User::$DB

Reimplemented in SPTUser.

Definition at line 764 of file Axis--User.php.

User::$DBFields

Definition at line 769 of file Axis--User.php.

User::$LoggedIn

Definition at line 768 of file Axis--User.php.

User::$Result

Definition at line 767 of file Axis--User.php.

Referenced by CreateNewUserAndMailPassword(), GetPasswordSalt(), and SendEMail().

User::$Session

Definition at line 765 of file Axis--User.php.

Referenced by SPTUser::SPTUser().

User::$UserId

Definition at line 766 of file Axis--User.php.

The documentation for this class was generated from the following file:

- Axis--User.php